### Method

# Gio MemoryOutputStream get_data

#### Declaration

    gpointer
    g_memory_output_stream_get_data (
      GMemoryOutputStream* ostream
    )

#### Description

Gets any loaded data from the `ostream`.

Note that the returned pointer may become invalid on the next write or truncate operation on the stream.

Gets property | `Gio.MemoryOutputStream:data`

#### Return value

Type: `gpointer`

Pointer to the stream’s data, or `NULL` if the data has been stolen.

The data is owned by the instance.
The return value can be `NULL`.